package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;

public class TbPlussLeshuaMakeMoney implements Serializable {
    private Integer id;

    private String billid;

    private String createtime;

    private String merchantid;

    private Double planamount;

    private Double suspendamount;

    private Double realamount;

    private String state;

    private String failreason;

    private String remark;

    private String recreateflag;

    private String setttype;

    private String settdate;

    private String tag;

    private String bankrettime;

    private String bankaccount;

    private String bankholder;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getBillid() {
        return billid;
    }

    public void setBillid(String billid) {
        this.billid = billid == null ? null : billid.trim();
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime == null ? null : createtime.trim();
    }

    public String getMerchantid() {
        return merchantid;
    }

    public void setMerchantid(String merchantid) {
        this.merchantid = merchantid == null ? null : merchantid.trim();
    }

    public Double getPlanamount() {
        return planamount;
    }

    public void setPlanamount(Double planamount) {
        this.planamount = planamount;
    }

    public Double getSuspendamount() {
        return suspendamount;
    }

    public void setSuspendamount(Double suspendamount) {
        this.suspendamount = suspendamount;
    }

    public Double getRealamount() {
        return realamount;
    }

    public void setRealamount(Double realamount) {
        this.realamount = realamount;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public String getFailreason() {
        return failreason;
    }

    public void setFailreason(String failreason) {
        this.failreason = failreason == null ? null : failreason.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getRecreateflag() {
        return recreateflag;
    }

    public void setRecreateflag(String recreateflag) {
        this.recreateflag = recreateflag == null ? null : recreateflag.trim();
    }

    public String getSetttype() {
        return setttype;
    }

    public void setSetttype(String setttype) {
        this.setttype = setttype == null ? null : setttype.trim();
    }

    public String getSettdate() {
        return settdate;
    }

    public void setSettdate(String settdate) {
        this.settdate = settdate == null ? null : settdate.trim();
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag == null ? null : tag.trim();
    }

    public String getBankrettime() {
        return bankrettime;
    }

    public void setBankrettime(String bankrettime) {
        this.bankrettime = bankrettime == null ? null : bankrettime.trim();
    }

    public String getBankaccount() {
        return bankaccount;
    }

    public void setBankaccount(String bankaccount) {
        this.bankaccount = bankaccount == null ? null : bankaccount.trim();
    }

    public String getBankholder() {
        return bankholder;
    }

    public void setBankholder(String bankholder) {
        this.bankholder = bankholder == null ? null : bankholder.trim();
    }
}